[FFmpeg-devel] [PATCH 1/2] tools/target_dec_fate.sh: Add support for lines that are comments
Michael Niedermayer
michael at niedermayer.cc
Fri Feb 22 00:17:37 EET 2019
Signed-off-by: Michael Niedermayer <michael at niedermayer.cc>
---
tools/target_dec_fate.sh | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/tools/target_dec_fate.sh b/tools/target_dec_fate.sh
index 1fdfdcaaea..1377b6b4e8 100755
--- a/tools/target_dec_fate.sh
+++ b/tools/target_dec_fate.sh
@@ -50,6 +50,8 @@ while read -r LINE; do
FILE=`echo $LINE | sed 's# .*##'`
if test -f "$1/$FILE" ; then
echo exists $FILE
+ elif echo "$ISSUE_NUM" | grep '#' >/dev/null ; then
+ echo disabled $FILE
else
echo downloading $FILE
mkdir -p "$1/$ISSUE_NUM"
@@ -72,6 +74,9 @@ make -j4 $TOOLS
while read -r LINE; do
TOOL_ID=`echo $LINE | sed 's#[^ ]* ##'`
FILE=`echo $LINE | sed 's# .*##'`
+ if ! test -f "$1/$FILE" ; then
+ continue
+ fi
tools/$TOOL_ID $1/$FILE
done < "tools/$LIST"
--
2.20.1
More information about the ffmpeg-devel
mailing list